#
# spec file for package gzip (Version 1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gzip
Copyright:    1992-1993 Jean-loup Gailly
Group:        Applications/File
Provides:     gzip
Autoreqprov:  on
Version:      1.3
Release:      116
Summary:      GNU zip compression utilities
Source:       alpha.gnu.org:/gnu/gzip/gzip-1.3.tar.gz
Patch: 	      gzip-1.3.dif

%description
Gzip reduces the size of the named files using Lempel-Ziv coding
LZ77.  Whenever possible, each file is replaced by one with the
extension .gz, while keeping the same ownership modes, access and
modification times.

Authors:
--------
    Jean-loup Gailly <gzip@prep.ai.mit.edu>

SuSE series: a

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS \
%ifarch %{ix86}
    -mcpu=pentiumpro \
%endif
-fomit-frame-pointer -fno-strength-reduce" LDFLAGS=-s \
./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir}
make
for i in 1 2 3 4 5 6 7 8 9
do
	time ./gzip -$i <	texinfo.tex	> texinfo.tex.gz
	./gzip --test		texinfo.tex.gz
	./gzip -d	<	texinfo.tex.gz	> texinfo.test$i
	diff			texinfo.tex	  texinfo.test$i
	time ./gzip -$i <	/bin/bash	> bash.gz
	./gzip --test		bash.gz
	./gzip -d       <	bash.gz		> bash.test$i
	cmp			/bin/bash	  bash.test$i
done
ls -l texinfo.test?
ls -l bash.test?

%install
make install
mv /usr/bin/gzip /bin/
ln -f  /bin/gzip /bin/zcat
ln -f  /bin/gzip /bin/gunzip
ln -sf /bin/gzip /usr/bin/gzip
ln -sf zmore /usr/bin/zless
ln -sf zmore.1 %{_mandir}/man1/zless.1

%files
/bin/gunzip
/bin/gzip
/bin/zcat
/usr/bin/gunzip
/usr/bin/gzexe
/usr/bin/gzip
/usr/bin/zcat
/usr/bin/zcmp
/usr/bin/zdiff
/usr/bin/zegrep
/usr/bin/zfgrep
/usr/bin/zforce
/usr/bin/zgrep
/usr/bin/zless
/usr/bin/zmore
/usr/bin/znew
%doc %{_infodir}/gzip.info.gz
%doc %{_mandir}/man1/gunzip.1.gz
%doc %{_mandir}/man1/gzexe.1.gz
%doc %{_mandir}/man1/gzip.1.gz
%doc %{_mandir}/man1/zcat.1.gz
%doc %{_mandir}/man1/zcmp.1.gz
%doc %{_mandir}/man1/zdiff.1.gz
%doc %{_mandir}/man1/zforce.1.gz
%doc %{_mandir}/man1/zgrep.1.gz
%doc %{_mandir}/man1/zless.1.gz
%doc %{_mandir}/man1/zmore.1.gz
%doc %{_mandir}/man1/znew.1.gz

%changelog -n gzip
* Wed Jun 06 2001 - werner@suse.de
- Make zgrep knowing about bzip2
* Tue Apr 03 2001 - uli@suse.de
- fixed for gcc >2.96
* Tue Mar 27 2001 - bk@suse.de
- use i686 insn scheduling on i386 and strip binaries(performance)
- make tmpfiles in gzexe secure and improve znew tempdir creation
- remove unnessary expr use and fix gzip output checking in zforce
- add simple tests if gzip/gunzip work
* Mon Nov 27 2000 - aj@suse.de
- Update to gzip 1.3.
* Wed Aug 23 2000 - werner@suse.de
- Security changes for the znew script
* Mon May 01 2000 - kukuk@suse.de
- LSB-FHS requires /bin/gunzip and /bin/zcat to /bin/gzip
* Tue Apr 18 2000 - kukuk@suse.de
- Add /bin/zcat (required by FHS 2.1)
* Fri Feb 25 2000 - schwab@suse.de
- cleanup spec file, get rid of Makefile.Linux
- define _GNU_SOURCE for basename declaration
- /usr/man -> /usr/share/man
- add gzip.info to file list
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Mar 06 1998 - florian@suse.de
- fixed security bug posted on Dez 27 to bugtraq
* Thu Jan 08 1998 - bs@suse.de
- fixed "double" /bin/gzip & /usr/bin/gzip
* Thu Apr 24 1997 - bs@suse.de
- added symlink /bin/gunzip
* Sun Apr 13 1997 - florian@suse.de
- add bug-fixes from gnu.utils.bugs
